import { ShaderityGraphJson } from '../types/CommonType';
/**
 * This class parses the ShaderityGraphJson and imports it
 * into a format that can be used by this library.
 */
export default class JsonImporter {
    /**
     * Creates nodes and sockets from ShaderityGraphJson, and connects the sockets
     * @param json json to create node graph
     */
    static importShaderityGraphJson(json: ShaderityGraphJson): void;
    /**
     * @private
     * Register the functions corresponding to each nodes in the ShaderFunctionDataRepository
     */
    private static __setShaderFunctions;
    /**
     * @private
     * Create nodes and the sockets that each node has. At this point,
     * the sockets are not connected to each other. All nodes are independent.
     */
    private static __createNodes;
    /**
     * @private
     * Connect the socket of each node created by __createNodes method.
     */
    private static __connectSockets;
}
