import ShaderityGraphConverter from './main/ShaderityGraphConverter';
import AbstractNode from './node/AbstractNode';
import ShaderityNode from './node/ShaderityNode';
import { ShaderStageEnum, SocketTypeEnum, SocketDirectionEnum, NodeTypeEnum, SamplerTypeEnum } from './types/CommonEnum';
import { ShaderityObjects, ShaderityGraphJson, ShaderityGraphNode, ShaderGlobalData, ShaderFunctionData, ShaderFunctions, NodeData, ShaderityNodeData, SamplerInputNodeData, SocketData, InputSocketData, OutputSocketData, StandardInputSocketData, AttributeInputSocketData, ShaderAttributeVarType, VaryingInputSocketData, ShaderVaryingVarType, UniformInputSocketData, ShaderUniformVarTypeES3, StandardOutputSocketData, VaryingOutputSocketData, SocketConnectionData, ShaderOutputSocketData, ShaderPrecisionType, SamplerInputSocketData, SamplerOutputSocketData } from './types/CommonType';
declare const _default: {
    AbstractNode: typeof AbstractNode;
    ShaderityNode: typeof ShaderityNode;
    ShaderStage: {
        readonly Vertex: "vertex";
        readonly Fragment: "fragment";
        readonly Pixel: "fragment";
        readonly NoUse: "noUse";
    };
    SocketDirection: {
        readonly Input: "in";
        readonly Output: "out";
    };
    ShaderityGraphConverter: typeof ShaderityGraphConverter;
    SocketType: {
        readonly fromString: (str: string) => SocketTypeEnum;
        readonly getGlslTypeStr: (socketType: SocketTypeEnum) => import("./types/CommonEnum").GlslTypeStr;
        readonly getGlslComponentNumber: (socketType: SocketTypeEnum) => number;
        readonly Bool: "bool";
        readonly Int: "int";
        readonly Float: "float";
        readonly Vec2: "vec2";
        readonly Vec3: "vec3";
        readonly Vec4: "vec4";
        readonly IVec2: "ivec2";
        readonly IVec3: "ivec3";
        readonly IVec4: "ivec4";
        readonly Mat22: "mat2";
        readonly Mat33: "mat3";
        readonly Mat44: "mat4";
        readonly Texture2D: "sampler2D";
        readonly TextureCube: "samplerCube";
        readonly Unsupported: "unsupported";
    };
    NodeType: {
        readonly ShaderityNode: "shaderityNode";
        readonly SamplerInputNode: "samplerInputNode";
    };
    SamplerType: {
        readonly Texture2D: "sampler2D";
        readonly TextureCube: "samplerCube";
    };
    Version: string;
};
export default _default;
export type { ShaderStageEnum, ShaderityObjects, ShaderityGraphJson, ShaderityGraphNode, SocketTypeEnum, NodeTypeEnum, SamplerTypeEnum, SocketDirectionEnum, ShaderGlobalData, ShaderFunctionData, ShaderFunctions, NodeData, ShaderityNodeData, SamplerInputNodeData, SocketData, InputSocketData, OutputSocketData, StandardInputSocketData, AttributeInputSocketData, ShaderAttributeVarType, VaryingInputSocketData, ShaderVaryingVarType, UniformInputSocketData, ShaderUniformVarTypeES3, StandardOutputSocketData, VaryingOutputSocketData, SocketConnectionData, ShaderOutputSocketData, ShaderPrecisionType, SamplerInputSocketData, SamplerOutputSocketData, };
