import { ShaderityObjects, ShaderityGraphJson } from '../types/CommonType';
/**
 * This class converts ShaderityGraphJson into shader code for GLSL ES3.0.
 * ShaderityGraphJson is defined in ./../types/CommonType.ts
 *
 * Currently, the library expects users to use the createShaderCodesFromJsonFile
 * method or createShaderCodesFromJsonObject method of this class.
 */
export default class ShaderityGraphConverter {
    static readonly shaderityGraphJsonVersion = "0.1.0";
    /**
     * Converts a file of ShaderityGraphJson to shaderity objects
     * @param src path of the json file
     */
    static createShaderityObjectsFromJsonFile(src: string): Promise<ShaderityObjects>;
    /**
     * Converts a ShaderityGraphJson object to shaderity objects
     * @param json object of ShaderityGraphJson
     */
    static createShaderityObjectsFromJsonObject(json: ShaderityGraphJson): ShaderityObjects;
}
