import { SamplerInputNodeData, SocketData } from '../types/CommonType';
import AbstractNode from './AbstractNode';
/**
 * A sampler node is an node to output sampler type value by output socket.
 *
 * This node must have two sockets.
 * The one is the uniform input socket and the other one is sampler output socket.
 */
export default class SamplerNode extends AbstractNode {
    /**
     * Create a new node
     * @param nodeData define shader stage
     * @param socketDataArray define sockets. The order of the socketData must match the order of
     *                        the arguments of the node's shader function.
     */
    constructor(nodeData: SamplerInputNodeData, socketDataArray: SocketData[]);
    /**
     * Get the name of the function that corresponds to entry point of this node in the shader
     */
    get className(): 'SamplerNode';
    /**
     * @protected
     * attach sockets to this node
     */
    protected __addSockets(socketDataArray: SocketData[]): void;
    /**
     * @private
     * Verify that socketDataArray matches the specifications of socket in this node
     */
    private __isValidSocketDataArray;
}
