import ShaderityNode from '../node/ShaderityNode';
/**
 * This class sorts nodes.
 */
export default class NodeSorter {
    /**
     * Sort the nodes topologically based on Kahn's algorithm
     */
    static sortTopologically(unsortedNodes: ShaderityNode[]): ShaderityNode[];
    /**
     * @private
     * Calculate how many nodes are in the input of each node.
     * In addition, store the specific edge information in the "edges" array.
     */
    private static __countInputNodesAndSetEdges;
    private static __isInputSocketWhoseConnectedOutputIsInSameShader;
    /**
     * @private
     * Find nodes that have no input nodes.
     */
    private static __getNoInputNodes;
    /**
     * @private
     * Sorting nodes
     */
    private static __sortTopologically;
}
