export declare const ShaderStage: {
    readonly Vertex: "vertex";
    readonly Fragment: "fragment";
    readonly Pixel: "fragment";
    readonly NoUse: "noUse";
};
export declare type ShaderStageEnum = typeof ShaderStage[keyof typeof ShaderStage];
declare const _SocketType: {
    readonly Bool: "bool";
    readonly Int: "int";
    readonly Float: "float";
    readonly Vec2: "vec2";
    readonly Vec3: "vec3";
    readonly Vec4: "vec4";
    readonly IVec2: "ivec2";
    readonly IVec3: "ivec3";
    readonly IVec4: "ivec4";
    readonly Mat22: "mat2";
    readonly Mat33: "mat3";
    readonly Mat44: "mat4";
    readonly Texture2D: "sampler2D";
    readonly TextureCube: "samplerCube";
    readonly Unsupported: "unsupported";
};
export declare const SocketType: {
    readonly fromString: (str: string) => SocketTypeEnum;
    readonly getGlslTypeStr: typeof getGlslTypeStr;
    readonly getGlslComponentNumber: typeof getGlslComponentNumber;
    readonly Bool: "bool";
    readonly Int: "int";
    readonly Float: "float";
    readonly Vec2: "vec2";
    readonly Vec3: "vec3";
    readonly Vec4: "vec4";
    readonly IVec2: "ivec2";
    readonly IVec3: "ivec3";
    readonly IVec4: "ivec4";
    readonly Mat22: "mat2";
    readonly Mat33: "mat3";
    readonly Mat44: "mat4";
    readonly Texture2D: "sampler2D";
    readonly TextureCube: "samplerCube";
    readonly Unsupported: "unsupported";
};
export declare type GlslTypeStr = 'bool' | 'int' | 'float' | 'vec2' | 'vec3' | 'vec4' | 'ivec2' | 'ivec3' | 'ivec4' | 'sampler2D' | 'samplerCube' | 'mat2' | 'mat3' | 'mat4' | 'unsupported';
declare function getGlslTypeStr(socketType: SocketTypeEnum): GlslTypeStr;
declare function getGlslComponentNumber(socketType: SocketTypeEnum): number;
export declare type SocketTypeEnum = typeof SocketType[keyof typeof _SocketType];
export declare const SocketDirection: {
    readonly Input: "in";
    readonly Output: "out";
};
export declare type SocketDirectionEnum = typeof SocketDirection[keyof typeof SocketDirection];
export declare const NodeType: {
    readonly ShaderityNode: "shaderityNode";
    readonly SamplerInputNode: "samplerInputNode";
};
export declare type NodeTypeEnum = typeof NodeType[keyof typeof NodeType];
export declare const SamplerType: {
    readonly Texture2D: "sampler2D";
    readonly TextureCube: "samplerCube";
};
export declare type SamplerTypeEnum = typeof SamplerType[keyof typeof SamplerType];
export {};
